/*
 File: TS_laa.cpp
 Date and Time: Mon Jul 28 14:42:05 2008 
*/
#include "TS_laa.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_TS_laa;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 2;
 per_rule_s_table_[0] = (Per_rule_s_reuse_table*) new reuse_rule1_table_type();
 per_rule_s_table_[1] = (Per_rule_s_reuse_table*) new reuse_rule2_table_type();
}
  CTS_lab::
  CTS_lab()
    :yacco2::CAbs_fsm
      ("TS_laa.lex"
      ,"1.0"
      ,"17 Juin 2003"
      ,true
      ,"end-of-line recognizer"
      ,"Mon Jul 28 14:42:05 2008 "
      ,S1_CTS_lab){
    
  }
 
CTS_lab::~CTS_lab(){

  for(int x = 0;x < 2;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
}

  bool CTS_lab::failed(){
      return false;
  }
  void CTS_lab::op(){
}
int CTS_lab::rhs_to_rules_mapping_[5] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
};
Reol::Reol(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Reol",0,CTS_lab::R_Reol_,P,true,true){
 
}

Rdelimiters::Rdelimiters(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rdelimiters",0,CTS_lab::R_Rdelimiters_,P,true,true){
 
}

